summaryrefslogtreecommitdiff
path: root/helpers/bootstrap_cache
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/bootstrap_cache
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/bootstrap_cache')
-rwxr-xr-xhelpers/bootstrap_cache93
1 files changed, 93 insertions, 0 deletions
diff --git a/helpers/bootstrap_cache b/helpers/bootstrap_cache
new file mode 100755
index 0000000..a025428
--- /dev/null
+++ b/helpers/bootstrap_cache
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# lh_bootstrap_cache(1) - cach bootstrap stage
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'cache bootstrap stage')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+# Check architecture
+Check_crossarchitecture
+
+Echo_message "Begin caching bootstrap stage..."
+
+for STAGE in ${LH_CACHE_STAGES}
+do
+ if [ "${STAGE}" = "bootstrap" ]
+ then
+ case "${1}" in
+ restore)
+ # Checking stage file
+ Check_stagefile .stage/bootstrap_cache.restore
+
+ if [ -d cache/stages_bootstrap ]
+ then
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ # Removing old chroot
+ rm -rf chroot
+
+ # Restoring old cache
+ ${LH_ROOT_COMMAND} cp -a cache/stages_bootstrap chroot
+
+ if [ -n "${LH_ROOT_COMMAND}" ]
+ then
+ ${LH_ROOT_COMMAND} chown -R $(whoami):$(whoami) chroot
+ fi
+
+ # Creating stage file
+ Create_stagefile .stage/bootstrap_cache.restore
+ Create_stagefile .stage/bootstrap
+
+ exit 0
+ fi
+ ;;
+
+ save)
+ # Checking stage file
+ Check_stagefile .stage/bootstrap_cache.save
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ rm -rf cache/stages_bootstrap
+
+ mkdir -p cache
+
+ ${LH_ROOT_COMMAND} cp -a chroot cache/stages_bootstrap
+
+ if [ -n "${LH_ROOT_COMMAND}" ]
+ then
+ ${LH_ROOT_COMMAND} chown -R $(whoami):$(whoami) cache/stages_bootstrap
+ fi
+
+ # Creating stage file
+ Create_stagefile .stage/bootstrap_cache.save
+ ;;
+ esac
+ fi
+done